Package org.eclipse.cdt.core.dom.ast.tag

# Interface IBindingTagger

public interface IBindingTagger
Implementations are contributed with the org.eclipse.cdt.core.tagger extension-point. The implementation is responsible for populating the tag's data using a given input binding.

Since:
  5.5
See Also:
  - `process(ITagWriter, IBinding, IASTName)`

## Method Summary

Modifier and Type
Method
Description
`ITag`
`process(ITagWriter tagWriter, IBinding binding, IASTName ast)`
Examines the given input binding to decide if a tag should be created.

## Method Details

### process

ITag process(ITagWriter tagWriter, IBinding binding, IASTName ast)
Examines the given input binding to decide if a tag should be created. Use the given tagWriter to create data if needed. Return the tag if one was created and null otherwise. A tagger (as identified by it's unique id string) is allowed to create only one tag for each binding.

Parameters:
  `tagWriter` - the writer to use for creating new tags
  `binding` - the binding to examine when populating the tag (if needed)
  `ast` - the AST name from which the binding was created
Returns:
  the tag if one was created and null otherwise